=== debian/control ===
Source: ros-indigo-urdf2inventor
Section: misc
Priority: extra
Maintainer: Jennifer Buehler <jennifer.e.buehler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, libcoin80-dev, libqt4-dev, libsoqt4-dev, ros-indigo-baselib-binding, ros-indigo-catkin, ros-indigo-eigen-conversions, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-urdf, ros-indigo-urdf-transform, ros-indigo-urdf-traverser
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-urdf2inventor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libcoin80-dev, libqt4-dev, libsoqt4-dev, ros-indigo-baselib-binding, ros-indigo-eigen-conversions, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-urdf, ros-indigo-urdf-transform, ros-indigo-urdf-traverser
Description: A conversion from URDF 2 Inventor including a simple viewer.
